Bug 90884 - (DRI RADEON)X locks up running opengl apps with 2.4.20-13.7 errata kernel
(DRI RADEON)X locks up running opengl apps with 2.4.20-13.7 errata kernel
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-14 21:10 EDT by Need Real Name
Modified: 2015-01-04 17:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-05-14 21:10:04 EDT
Description of problem:

After upgrading kernel from 2.4.18-27.7.x to 2.4.20-13.7 X locks up if you run
any OpenGL application (glxgears is enough.)  Run the GL app and the window
pops up that the GL app would show up in, but the screen just freezes then
(GL app never actually displays anything.)  Keyboard doesn't work but the mouse
pointer still moves around and you can ssh in and shutdown the computer - it's
just X not the computer that locks up.  The X server itself starts consuming
more and more cpu according to ps, the GL app gets no cpu time.  There are
no log messages pointing to any problem.

The video card is a radeon 7000 and I notice the radeon driver has been updated
in the new kernel...  Everything works fine downgrading to 2.4.18-27.7.x
Comment 1 Andy Feldt 2003-05-23 12:21:28 EDT
I see exactly the same behavior with RH 8.0 and with a Radeon Mobility M6 card.
 I also see multiple error mesages (dmesg or in /var/log/messages) of:

kernel: [drm:radeon_freelist_get] *ERROR* returning NULL!

Comment 2 l0cksley 2003-06-02 17:18:03 EDT
I am also seeing the same problem on an Asus P4PE with
an ATI Radeon 7000 and Red Hat Linux 8.0 kernel 2.4.20-13.8.

Certain screensavers cause the lockup when previewed
or otherwise executed. For example, Atlantis, Boxed, and
Bubble3D cause the lockup but Anemone, Ant, and Apollonian don't.
The screen freezes except for the mouse pointer;
the mouse buttons are nonfunctional.
SSHing in and killing X simply causes the mouse pointer to freeze too,
so the console becomes useless and the machine needs to be rebooted.
This problem does not occur with kernel 2.4.18-27.8.0.
There are no log messages.
Comment 3 John McMonagle 2003-12-10 11:54:44 EST
Have the same problem.
I have from lspci:
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon VE QY
Tried various versions of XFree and kernels
The only way to get it to work again is to go back to 2.4.18-24.7
This is on an Athlon 
It works ok with all the current rh9 packages.
Suppose it could be Xfree or the kernel. My bet is the kernel.
I'm concerned as this has been 6 months and apparently not looked at.
This is one of our testing computers and it makes me apprehensive
upgrading to packages with known bugs on our application servers.



Comment 4 Bugzilla owner 2004-09-30 11:40:55 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.